[repoman] fix version comparison logic

Description

In ovirt-master-snapshot I see:
java-ovirt-engine-sdk4.noarch 4.2.0-0.1.alpha2.el7.centos

While last build was 4.2.0-0.1.alpha2.20170929git5237c15.el7.centos

$ rpmdev-vercmp "4.2.0-0.1.alpha2.el7.centos"
"4.2.0-0.1.alpha2.20170929git5237c15.el7.centos"
4.2.0-0.1.alpha2.el7.centos < 4.2.0-0.1.alpha2.20170929git5237c15.el7.centos

So I would expect 4.2.0-0.1.alpha2.20170929git5237c15.el7.centos to be
there.

Can you please check what happened?

SANDRO BONAZZOLA

ASSOCIATE MANAGER, SOFTWARE ENGINEERING, EMEA ENG VIRTUALIZATION R&D

Red Hat EMEA <https://www.redhat.com/>
<https://red.ht/sig>
TRIED. TESTED. TRUSTED. <https://redhat.com/trusted>
<http://www.teraplan.it/redhat-osd-2017/>

Activity

Show:
Eyal Edri
April 1, 2018, 11:56 AM

any update?

Eyal Edri
April 30, 2018, 7:44 AM

any progress or open patches to review?

Anton Marchukov
April 30, 2018, 8:42 AM

nothing finished yet. mostly the item left is to depend on rpm and make sure it works on all supported distros.

Eyal Edri
May 1, 2018, 7:11 AM

Can you post the patch on Gerrit here for review?

Eyal Edri
June 27, 2018, 9:49 AM

I'm inclined in moving it back to the queue if its not happening often, since I see we're not getting into it.

Assignee

Anton Marchukov

Reporter

Sandro Bonazzola

Blocked By

Blocking on input from repoman maintainers

Components

Priority

High
Configure